Subject: Re: Reading remote reflogs

From: Dennis Kaarsemaker <[email-masked]>
Date: Sat, 30 Mar 2013 01:02:56 +0100

On vr, 2013-03-29 at 15:58 -0700, Junio C Hamano wrote:
> Dennis Kaarsemaker <[email-masked]> writes:
> 
> > On vr, 2013-03-29 at 15:45 -0700, Junio C Hamano wrote:
> >> Dennis Kaarsemaker <[email-masked]> writes:
> >> 
> >> > ... Mirrored repositories don't
> >> > maintain a reflog, even with core.logAllRefUpdates = true,...
> >> 
> >> Are you sure about this?  When log_all_ref_updates is not set, by
> >> default we do not log for bare repositories, but other than that, we
> >> do not do anything special with respect to reflogs.
> >
> > I was, as I tried the recipe below, though with a different repo. Must
> > have goofed something up, as it works now. Thanks for the braincheck :)
> >
> > That gives me a reasonable approximation of distinct pushes if I pull
> > the mirror often enough.
> 
> Instead of polling, why not "git push --mirror" whenever the
> original gets updated?

I considered that, but it has two downsides:
- Slows down the push as it needs to wait for this to complete
- Only works if you control the master, so it won't work with e.g. 
  github hosted repositories
-- 
Dennis Kaarsemaker
www.kaarsemaker.net